libcgroup1-32bit-0.41-8.3.1.x86_64.rpm


Advertisement

Description

libcgroup1-32bit - Control groups management library

Property Value
Distribution openSUSE Leap 42.3
Repository openSUSE Update Oss all
Package filename libcgroup1-32bit-0.41-8.3.1.x86_64.rpm
Package name libcgroup1-32bit
Package version 0.41
Package release 8.3.1
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://sourceforge.net/projects/libcg/
License LGPL-2.1
Maintainer -
Download size 41.61 KB
Installed size 94.20 KB
Control groups, a new kernel feature in Linux 2.6.24 provides a file
system interface to manipulate and control the details on task grouping
including creation of new task groups (control groups), permission
handling and task assignment.

Alternatives

Package Version Architecture Repository
libcgroup1-32bit-0.41-7.4.x86_64.rpm 0.41 x86_64 openSUSE Oss
libcgroup1-32bit - - -

Requires

Name Value
ld-linux.so.2 -
ld-linux.so.2(GLIBC_2.3) -
libc.so.6(GLIBC_2.11) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -

Provides

Name Value
libcgroup.so.1 -
libcgroup.so.1(CGROUP_0.32) -
libcgroup.so.1(CGROUP_0.32.1) -
libcgroup.so.1(CGROUP_0.33) -
libcgroup.so.1(CGROUP_0.34) -
libcgroup.so.1(CGROUP_0.35) -
libcgroup.so.1(CGROUP_0.36) -
libcgroup.so.1(CGROUP_0.37) -
libcgroup.so.1(CGROUP_0.38) -
libcgroup.so.1(CGROUP_0.39) -
libcgroup1-32bit = 0.41-8.3.1
libcgroup1-32bit(x86-32) = 0.41-8.3.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libcgroup1-32bit-0.41-8.3.1.x86_64.rpm
Source Package libcgroup-0.41-8.3.1.src.rpm

Install Howto

Install libcgroup1-32bit rpm package:

# zypper install libcgroup1-32bit

Files

Path
/lib/libcgroup.so.1
/lib/libcgroup.so.1.0.41

Changelog

2018-07-31 - mhocko@suse.de
- 0001-cgrulesengd-remove-umask-0.patch: cgrulesengd: remove umask(0)
(bnc#1100365, CVE-2018-14348)
2015-01-14 - tcech@suse.cz
- add Require for post install scriptlets (bnc#912531)
2015-01-14 - mhocko@suse.de
- cgconfig-Do-not-overwrite-defaultcgroup-configuratio.patch - cgconfig:
Do not overwrite defaultcgroup configuration (bnc#912487)
2015-01-13 - tchvatal@suse.com
- Cleanup with spec-cleaner
- Version bump to 0.41 - no changelog
- Add fillup/insserv prereqs bnc#912531
2014-01-10 - mhocko@suse.com
- package upgraded from 0.37 to 0.41.rc1
- libcgroup-man_pages.patch: removed because obsoleted by 41b1e43155831
- initd_cgconfig-read-correctly-defaultcgroup.patch: removed because
obsoleted by 9659403b713f9
2013-05-02 - mhocko@suse.cz
- do-not-version-pam-module.patch: fix an invalid link to pam_cgroup.so.0.0.0
and do not build cgroup pam module as a versioned shared object (bnc#817533)
2012-11-27 - jengelh@inai.de
- Remove redundant/obsolete sections from specfile
- Follow shlib packaging guidelines; libcgroup1 ought to only have
the library, move the rest into libcgroup-tools.
2012-11-22 - mhocko@suse.cz
- initd_cgconfig-read-correctly-defaultcgroup.patch: fix defaultcgroup
detection (bnc#790934)
2012-02-13 - coolo@suse.com
- patch license to follow spdx.org standard
2011-10-31 - jslaby@suse.de
- fix rpmlint warnings

See Also

Package Description
libcilkrts5-32bit-7.2.1+r253435-3.2.x86_64.rpm The GNU Compiler Cilk+ Runtime Library
libcilkrts5-32bit-7.3.1+r258313-6.1.x86_64.rpm The GNU Compiler Cilk+ Runtime Library
libcilkrts5-32bit-7.3.1+r258812-10.1.x86_64.rpm The GNU Compiler Cilk+ Runtime Library
libcilkrts5-32bit-7.4.0+r266845-13.1.x86_64.rpm The GNU Compiler Cilk+ Runtime Library
libcilkrts5-7.2.1+r253435-3.2.x86_64.rpm The GNU Compiler Cilk+ Runtime Library
libcilkrts5-7.3.1+r258313-6.1.x86_64.rpm The GNU Compiler Cilk+ Runtime Library
libcilkrts5-7.3.1+r258812-10.1.x86_64.rpm The GNU Compiler Cilk+ Runtime Library
libcilkrts5-7.4.0+r266845-13.1.x86_64.rpm The GNU Compiler Cilk+ Runtime Library
libclang-3.8.0-6.3.1.x86_64.rpm Library files needed for clang
libclang-32bit-3.8.0-6.3.1.x86_64.rpm Library files needed for clang
libclang4-32bit-4.0.1-2.3.x86_64.rpm Library files needed for clang
libclang4-32bit-4.0.1-5.1.x86_64.rpm Library files needed for clang
libclang4-4.0.1-2.3.x86_64.rpm Library files needed for clang
libclang4-4.0.1-5.1.x86_64.rpm Library files needed for clang
libcodec2-0_6-0.6-2.3.2.x86_64.rpm Low bit rate speech codec
Advertisement
Advertisement